Skip to main content
GET
/
crm
/
objects
/
{objectName}
/
fields
List fields
curl --request GET \
  --url https://www.dench.com/api/v1/crm/objects/{objectName}/fields \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "required": true,
    "enum_values": [
      "<string>"
    ],
    "enum_colors": [
      "<string>"
    ],
    "indexed": true
  }
]

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Path Parameters

objectName
string
required

Response

Successful response

id
string
required
name
string
required
type
enum<string>
required
Available options:
text,
email,
phone,
url,
number,
boolean,
date,
richtext,
file,
user,
enum,
relation,
tags,
action
required
boolean
enum_values
string[] | null
enum_colors
string[] | null
indexed
boolean